package com.ruoyi.ibs.grid.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ibs.grid.domain.dto.virtual.VirtualGridListDTO;
import com.ruoyi.ibs.grid.domain.entity.VirtualGrid;
import com.ruoyi.ibs.grid.domain.vo.VirtualGridListVO;
import com.ruoyi.ibs.grid.domain.vo.VirtualGridVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2024/9/18
 **/

public interface VirtualGridMapper extends BaseMapper<VirtualGrid> {

    List<VirtualGridListVO> getGridList(VirtualGridListDTO virtualGridListDTO);

    List<VirtualGridListVO> getGridListByManager(VirtualGridListDTO virtualGridListDTO);

    Long getVirtualGridNumByDeptId(@Param("deptId") Long deptId, @Param("opsDept") String opsDept);

    Long getVirtualGridNumByUserId(@Param("userName") String userName);

    List<VirtualGridVO> searchVirtualGrid(@Param("deptId") Long deptId, @Param("opsDept") String opsDept, @Param("gridName") String gridName);


}
